package com.sw.mes.yb.production.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.production.dao.FillingTaskRecipeDao;
import com.sw.mes.yb.production.dao.LoadingTaskDao;
import com.sw.mes.yb.production.entity.FillingTaskRecipe;
import com.sw.mes.yb.production.entity.InputFurnaceBurden;
import com.sw.mes.yb.production.service.FillingTaskRecipeService;
import com.sw.mes.yb.production.service.InputFurnaceBurdenService;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Author: xushu
 * @Date: 2022/11/26/15:42
 * @Description:
 */
@Service
@Transactional
public class FillingTaskRecipeServiceImpl  extends BaseServiceImpl<FillingTaskRecipe> implements FillingTaskRecipeService {
    FillingTaskRecipeDao dao;
    @Autowired
    public void setDao(FillingTaskRecipeDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }


    @Override
    public void deleteByAgainTaskDetailId(Long againTaskDetailId) {
        dao.deleteByAgainTaskDetailId(againTaskDetailId);
    }

    @Override
    public List<FillingTaskRecipe> findByAgainTaskDetailId(Long againTaskDetailId) {
        return dao.findByAgainTaskDetailId(againTaskDetailId);
    }

    @Override
    public List<FillingTaskRecipe> findByIds(List<Long> againTaskDetailIds) {
        return dao.findByIds(againTaskDetailIds);
    }
}
